> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funnel details



## OpenAPI

````yaml /swagger/openapi.json get /funnels/{id}
openapi: 3.0.0
info:
  title: Public API
  version: 1.0.0
servers:
  - url: https://api.funnelfox.io/public/v1
security: []
paths:
  /funnels/{id}:
    get:
      summary: Get funnel details
      operationId: FunnelGet
      parameters:
        - in: header
          name: Fox-Secret
          required: true
          description: Project Secret Key
          schema:
            type: string
            example: secret_
        - in: path
          name: id
          required: true
          description: Funnel ID
          schema:
            type: string
      responses:
        '200':
          description: Funnel details
          content:
            application/json:
              schema:
                type: object
                required:
                  - id
                  - alias
                  - config_url
                  - created_at
                  - title
                  - type
                  - updated_at
                  - version
                  - url
                  - project_id
                  - tags
                properties:
                  id:
                    type: string
                    x-go-name: ID
                    description: ID of your funnel
                  project_id:
                    type: string
                    x-go-name: ProjectID
                    description: ID of the project this funnel belongs to
                  alias:
                    type: string
                  config_url:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  title:
                    type: string
                  type:
                    type: string
                    enum:
                      - default
                      - cancellation
                      - retargeting
                  url:
                    type: string
                  last_published_at:
                    type: string
                    format: date-time
                  environment:
                    type: string
                  tags:
                    type: array
                    items:
                      type: string
                    description: Tags for categorization
                  updated_at:
                    type: string
                    format: date-time
                  version:
                    type: integer
        '400':
          description: Request error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '404':
          description: Funnel not found
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string

````